from aiogram import types
from aiogram.dispatcher import FSMContext
from data.messages import answer_no_text
from keyboards.inline.empty import empty_keyboard
from keyboards.inline.next_and_now import next_and_know_keyboard
from states.step_state import Steps

from loader import dp

@dp.callback_query_handler(text="No", state="*")
async def answer_no(call: types.CallbackQuery, state: FSMContext):
    await call.message.edit_reply_markup(empty_keyboard)
    await call.message.answer(answer_no_text, reply_markup=next_and_know_keyboard)
    await Steps.next()