from aiogram import types
from loader import p2p
from aiogram.dispatcher import FSMContext
from data.messages import instruction
from keyboards.inline.empty import empty_keyboard
from keyboards.inline.buy_one_keyb import buy_one_keyboard
from states.step_state import Steps
from utils.file_and_url import URL, Path
from edit.files import one_instruction

from loader import dp

@dp.callback_query_handler(text="buy_one", state="*")
async def buy_one_def(call: types.CallbackQuery, state: FSMContext):
    bill = p2p.bill(amount=2597, comment=str(call.from_user.id))
    await call.message.edit_text(instruction, reply_markup=buy_one_keyboard(bill.pay_url, bill.bill_id))
    
    
@dp.callback_query_handler(text_contains="check_", state="*")
async def check(call: types.CallbackQuery, state: FSMContext):
    bill_id = call.data.split("_")[-1]
    if str(p2p.check(bill_id=bill_id).status) == "PAID":
    # if True:
        if isinstance(one_instruction, Path):
            with open(one_instruction.url, "rb") as f:
                await call.message.answer_document(f, caption="Ваш файл:")
        elif isinstance(one_instruction, URL):
            await call.message.answer(f"Ваш файл:\n{one_instruction.url}")
    else:
        await call.answer("Не оплачено")