from aiogram import types
from aiogram.dispatcher import FSMContext
from data.messages import step_5
from keyboards.inline.empty import empty_keyboard
from keyboards.inline.how_to_get_inst_keyb import how_to_get_instruction_keyboard
from states.step_state import Steps

from loader import dp

@dp.callback_query_handler(state=Steps.step_5)
async def step_5_def(call: types.CallbackQuery, state: FSMContext):
    await call.message.edit_reply_markup(empty_keyboard)
    with open("edit/img.jpg", "rb") as photo:
        await call.message.answer_photo(photo, caption=step_5[:200], reply_markup=how_to_get_instruction_keyboard
                                        )
    await Steps.next()