from aiogram import types
from aiogram.dispatcher import FSMContext
from data.messages import step_3
from keyboards.inline.empty import empty_keyboard
from keyboards.inline.yes_no import yes_no_keyboard
from states.step_state import Steps

from loader import dp

@dp.callback_query_handler(state=Steps.step_3)
async def step_3_def(call: types.CallbackQuery, state: FSMContext):
    await call.message.edit_reply_markup(empty_keyboard)
    await call.message.answer(step_3, reply_markup=yes_no_keyboard)
    await Steps.next()