from aiogram import types
from data.messages import start, contacts
from keyboards.inline.begin_keyboard import begin_keyboard
from states.step_state import Steps
from aiogram.dispatcher import FSMContext
from keyboards.default.contacts import contact_keyboard
from edit.buttons import btn_contacts


from loader import dp


@dp.message_handler(commands="start", state="*")
async def bot_start(message: types.Message, state: FSMContext):
    await message.answer("Добро пожаловать!", reply_markup=contact_keyboard)
    await message.answer(start, reply_markup=begin_keyboard)
    await state.finish()
    await Steps.next()
    
    
@dp.message_handler(text=btn_contacts, state="*")
async def bot_start(message: types.Message, state: FSMContext):
    await message.answer(contacts)
    # await message.answer(start, reply_markup=begin_keyboard)
    # await state.finish()
    # await Steps.next()
