from aiogram import types
from aiogram.dispatcher import FSMContext
from data.messages import step_7
from keyboards.inline.empty import empty_keyboard
from keyboards.inline.step_7_keyb import step_7_keyboard
from states.step_state import Steps

from loader import dp

@dp.callback_query_handler(text="return_and_buy", state="*")
@dp.callback_query_handler(text="more", state=Steps.step_7)
@dp.callback_query_handler(text="back_to_step_7")
async def step_7_def(call: types.CallbackQuery, state: FSMContext):
    await call.message.edit_reply_markup(empty_keyboard)
    await call.message.answer(step_7, reply_markup=step_7_keyboard)