from aiogram import types
from aiogram.dispatcher import FSMContext
from data.messages import step_6
from keyboards.inline.empty import empty_keyboard
from keyboards.inline.need_more_keyb import need_more_keyboard
from states.step_state import Steps

from loader import dp

@dp.callback_query_handler(state=Steps.step_6)
@dp.callback_query_handler(text="back_to_step_6")
async def step_6_def(call: types.CallbackQuery, state: FSMContext):
    await call.message.edit_reply_markup(empty_keyboard)
    await call.message.answer(step_6, reply_markup=need_more_keyboard)
    await Steps.next()